
%bcond_with	snap	# include shapshot information in version,
			# should be used only in official Th spanhots

%define snapshot	2012

# CPE_NAME = cpe:/ {part} : {vendor} : {product} : {version} : {update} : {edition} : {language}
# http://cpe.mitre.org/specification/
# http://csrc.nist.gov/publications/nistir/ir7695/NISTIR-7695-CPE-Naming.pdf

%if %{with snap}
%define	distname	Th/%{snapshot}
%define cpename		cpe:/o:pld-linux:pld:%{distversion}:%{snapshot}
%else
%define	distname	Th
%define cpename		cpe:/o:pld-linux:pld:%{distversion}
%endif
%define	distversion	3.0
%define	distrelease	"%{distversion} PLD Linux (%{distname})"

Summary:	PLD Linux release file with virtual keyboard
Summary(pl.UTF-8):	Wersja Linuksa PLD z wirtualną klawiaturą
Name:		issue-alpha
Version:	%{distversion}
Release:	1%{?with_snap:.%{snapshot}}
License:	GPL
Group:		Base
Provides:	issue
Provides:	issue-package
Obsoletes:	issue-package
Conflicts:	issue-fancy < 3.0-1
Conflicts:	issue-logo < 3.0-1
Conflicts:	issue-nice < 3.0-1
Conflicts:	issue-pure < 3.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLD Linux release file with virtual keyboard. Can be used to some
hacks with gpm on systems w/o available keyboard or as paranoic
security login solution (anti keyloggers).

%description -l pl.UTF-8
Wersja Linuksa PLD z wirtualną klawiaturą. Może być użyta do manewrów
za pomocą gpma w systemach bez sprawnej klawiatury, bądź jako poprawa
bezpieczeństwa logowania dla paranoików (przeciwdziała keyloggerom).

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

cat > $RPM_BUILD_ROOT%{_sysconfdir}/issue.net <<EOF
.-------------< PLD Linux %{distversion} (%{distname}) >--------------.
|                                                 |
|  ~  !  "  #  $  %  ^  &  *  (  )  _  +          |
| ' \`  1  2  3  4  5  6  7  8  9  0  -  =         |
|                                                :'
|                                {  }            ;
|  Qq Ww Ee Rr Tt Yy Uu Ii Oo Pp  [  ]          ;
|                               :  @  ~       .;
|    Aa Ss Dd Ff Gg Hh Jj Kk Ll  ;  '  #     :;
:   |                       <  >  ?        .;'
\`:   \\\\ Zz Xx Cc Vv Bb Nn Mm  ,  .  /   ,.;'"
  \`..                           ,..;:'"
     \`-------------------------'

EOF

cat $RPM_BUILD_ROOT%{_sysconfdir}/issue.net > $RPM_BUILD_ROOT%{_sysconfdir}/issue
echo -ne "\l " >> $RPM_BUILD_ROOT%{_sysconfdir}/issue

echo %{distrelease} > $RPM_BUILD_ROOT%{_sysconfdir}/pld-release

# CPE_NAME = cpe:/ {part} : {vendor} : {product} : {version} : {update} : {edition} : {language}
# http://cpe.mitre.org/specification/
cat >$RPM_BUILD_ROOT%{_sysconfdir}/os-release <<EOF
NAME="PLD Linux"
VERSION="%{distversion} (%{distname})"
ID="pld"
VERSION_ID="%{distversion}"
PRETTY_NAME="PLD Linux %{distversion} (%{distname})"
ANSI_COLOR="0;32"
CPE_NAME="%{cpename}"
HOME_URL="http://www.pld-linux.org/"
BUG_REPORT_URL="http://bugs.pld-linux.org/"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_sysconfdir}/os-release
%{_sysconfdir}/pld-release
%config(noreplace) %{_sysconfdir}/issue*
%changelog
* Sat Sep 01 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/issue-alpha.git;a=log;h=master

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 3ca3de3
Use canonical short url for BUG_REPORT_URL

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 2432e67
Conflicts tag need a release

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> 5f560dc
Added BUG_REPORT_URL to /etc/os-release

* Mon Aug 20 2012 Jan Rękorajski <baggins@pld-linux.org> fe04b07
Change version to 3.0 and add snap bcond

* Thu Feb 16 2012 Jan Rękorajski <baggins@pld-linux.org> 2dcd1b9
- relup
- drop foreign obsoletes
- add /etc/os-release (http://www.freedesktop.org/software/systemd/man/os-release.html)

* Wed Aug 08 2007 Patryk Zawadzki <patrys@room-303.com> 37fb997
- add conflicts where affected
- add P/O issue-package
- rel up

* Mon Aug 06 2007 Patryk Zawadzki <patrys@room-303.com> f1b0ee5
- drop obsoletes and duplicate deps
- provide issue

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cefa0cc
- tabs in preamble

* Mon Feb 12 2007 Jakub Bogusz <qboosh@pld-linux.org> b831d4b
- use ascii here

* Sun Feb 11 2007 qrczak <qrczak@pld-linux.org> e032c30
- Spec converted to UTF-8.

* Tue Apr 25 2006 Adam Gołębiowski <adamg@pld-linux.org> 55ea5d5
- 2.99 (Th)

* Sun Jan 22 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 82da22a
- update for AC 2.0

* Tue Dec 14 2004 djrzulf <djrzulf@pld-linux.org> 8124aaf
- added missed obsoletes,

* Thu Jul 29 2004 Jakub Bogusz <qboosh@pld-linux.org> 88f6a41
- added empty prep for ./builder

* Thu Jan 08 2004 grzegol <grzegol@pld-linux.org> c6d9bd0
- changed distname to Ac and distversion to 1.99

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> 14272a9
- caps unification, other cosmetics

* Sat Oct 25 2003 pzurowski <pzurowski@pld-linux.org> 54ca2f0
- added %%{distversion}, %%{distname} and %%{distrelease} macros

* Mon Aug 25 2003 Paweł Gołaszewski <blues@pld-linux.org> f4c089c
- 1.1 issue

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> b31fc43
- mass commit: cosmetics (removed trailing white spaces)

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 2a3c504
- massive attack s/pld.org.pl/pld-linux.org/

